speck.h File Reference

Classes for the Speck block cipher. More...

Go to the source code of this file.

## Classes

struct | SPECK_Info< L, D, N, M >
| SPECK block cipher information. More...
struct | SPECK_Base< W >
| SPECK block cipher base class. More...
class | SPECK64
| SPECK 64-bit block cipher. More...
class | SPECK64::Base
| SPECK64 block cipher base implementation. More...
class | SPECK64::Enc
| SPECK64 encryption transformation. More...
class | SPECK64::Dec
| SPECK64 decryption transformation. More...
class | SPECK128
| SPECK 128-bit block cipher. More...
class | SPECK128::Base
| SPECK128 block cipher base implementation. More...
class | SPECK128::Enc
| SPECK128 encryption transformation. More...
class | SPECK128::Dec
| SPECK128 decryption transformation. More...

## Macros

#define | CRYPTOPP_SPECK128_ADVANCED_PROCESS_BLOCKS 1

## Detailed Description

Classes for the Speck block cipher.

Speck is a block cipher designed by Ray Beaulieu, Douglas Shors, Jason Smith, Stefan Treatman-Clark, Bryan Weeks and Louis Wingers.

See also
  The SIMON and SPECK Families of Lightweight Block Ciphers, The Simon and Speck GitHub and SPECK on the Crypto++ wiki.

Since
  Crypto++ 6.0

Definition in file speck.h.

## Macro Definition Documentation

## CRYPTOPP_SPECK128_ADVANCED_PROCESS_BLOCKS

#define CRYPTOPP_SPECK128_ADVANCED_PROCESS_BLOCKS 1

Definition at line 24 of file speck.h.